package main;

/**
 * Hangyaszagsemlegesítő sprayt reprezentáló osztály
 * 
 */
public class AntScentVanisherSpray extends Spray {

	/**
	 * Alapértelmezett konstruktor
	 */
	public AntScentVanisherSpray() {
		super();
		Logger.entering(this, null);
		Logger.exiting(this);
	}

	/**
	 * Az adott pozícióba létrehoz egy szagtalanító foltot.
	 * 
	 * @param location
	 *            A szagtalanító helye
	 */
	public void doSpraying(HexCell location) {
		Logger.entering(this, new Object[] { location });
		if (canSpray()) {
			new AntScentVanisherScent(location, spraySize / 2);
			remaining--;
		}
		if(!canSpray()){
			Director.getInstance().sprays.remove(this);
		}
		Logger.exiting(this);
	}

	/**
	 * {@inheritDoc}
	 */
	public String draw() {
		return "img/antscentvanisherspray.png";
	}

}