package main;

import main.Visualizer.Layer;

/**
 * A miniételek kirajzolásához használt osztály
 *
 */
public class DummyImage extends Located {
	/** A kép helye */
	String img;
	/** A megjelenítendő réteg */
	Layer myLayer;
	
	/**
	 * Konstruktor
	 * @param location A pozíciója
	 * @param image A kép neve
	 * @param layer A megjelenítendő réteg
	 */
	public DummyImage(HexCell location, String image, Layer layer) {
		super(location);
		img = image;
		myLayer = layer;
	}

	/**
	 * Ellentétben a többi accept() függvénnyel, ez nem hívja vissza a meghívóját.
	 */
	public void accept(IInterActor interactor) {
	}
	
	/**
	 * Eltávolítja a cellájáról
	 */
	public void removeFromCell() {
		if (location != null) {
			location.removeObject(this);
			location = null;
		}
	}
	
	/**
	 * Hozzáadja egy cellához
	 * @param location Az új pozíció
	 */
	public void addToCell(HexCell location) {
		Logger.entering(this, null);
		this.location = location;
		location.addObject(this);
		Logger.exiting(this);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String draw() {
		return img;
	}
	
	/**
	 * {@inheritDoc}
	 */
	public Layer getLayer() {
		return myLayer;
	}

	/**
	 * {@inheritDoc}
	 */
	public String toString() {
		return "";
	}

}
