package main;

/**
 * Közös interfész azoknak, akik interakciót képesek végezni
 * 
 */
public interface IInterActor {

	/**
	 * Hangyával való interakció.
	 * 
	 * @param a Hangya
	 */
	public void interactWith(Ant a);

	/**
	 * Hangyabollyal való interakció.
	 * 
	 * @param a Hangyaboly
	 */
	public void interactWith(AntHill a);

	/**
	 * Hangyalesővel való interakció.
	 * 
	 * @param a Hangyaleső
	 */
	public void interactWith(Antlion a);

	/**
	 * Hangyaszagnyommal való interakció.
	 * 
	 * @param a Hangyaszag
	 */
	public void interactWith(AntScent a);

	/**
	 * Hangyaszagsemlegesítő spray-el való interakció.
	 * 
	 * @param a Hangyaszagsemlegesítőszag
	 */
	public void interactWith(AntScentVanisherScent a);

	/**
	 * Hangyászsünnel való interakció.
	 * 
	 * @param e Hangyászsün
	 */
	public void interactWith(Echidna e);

	/**
	 * Étellel való interakció.
	 * 
	 * @param f Étel
	 */
	public void interactWith(Food f);

	/**
	 * Ételszaggal való interakció.
	 * 
	 * @param s Ételszag
	 */
	public void interactWith(FoodScent s);

	/**
	 * Kaviccsal való interakció.
	 * 
	 * @param p Kavics
	 */
	public void interactWith(Pebble p);

	/**
	 * Méreggel való interakció.
	 * 
	 * @param p Méreg
	 */
	public void interactWith(Poison p);

	/**
	 * Tócsával való interakció.
	 * 
	 * @param p Tócsa
	 */
	public void interactWith(Puddle p);
	
	/**
	 * Nyálkával való interakció.
	 * 
	 * @param s Nyálka
	 */
	public void interactWith(Slime s);
	
	/**
	 * Csigával való interakció.
	 * 
	 * @param s Csiga
	 */
	public void interactWith(Snail s);

}