package main;

/**
 * 
 * A méregsparyt reprezentáló osztály
 * 
 */
public class PoisonSpray extends Spray {

	/**
	 * Konstruktor
	 */
	public PoisonSpray() {
		super();
		Logger.entering(this, null);
		Logger.exiting(this);
	}

	/**
	 * Az adott helyre méregfoltot helyez.
	 * 
	 * @param location
	 *            A méregfolt helye
	 */
	public void doSpraying(HexCell location) {
		Logger.entering(this, new Object[] { location });
		/** Ha tud még fújni, akkor fúj egyet */
		if (canSpray()) {
			new Poison(location, spraySize);
			remaining--;
		}
		/** Ha ezután elfogyott, akkor eltávolítja magát a listából */
		if(!canSpray()){
			Director.getInstance().sprays.remove(this);
		}
		Logger.exiting(this);
	}

	/**
	 * {@inheritDoc}
	 */
	public String draw() {
		return "img/poisonspray.png";
	}
}
