package main;

import main.Visualizer.Layer;

/**
 * Tócsákat reprezentáló osztály. Mindenki lassabban tud csak átkelni rajta.
 * 
 * @author Kozaroczy
 *
 */
public class Puddle extends NonBlocking {
	
	/** Kirajzoláskor e szerint választ képet */
	int type;
	
	/** Konstruktor */
	public Puddle(HexCell location) {
		super(location);
		int rnd = (int) Math.floor(Math.random() * 3);
		type = rnd;
		Logger.entering(this, new Object[] { location });
		Logger.exiting(this, this);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public void accept(IInterActor interactor) {
		Logger.entering(this, new Object[] { interactor });
		interactor.interactWith(this);
		Logger.exiting(this);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String draw() {
		return "img/puddle"+type+".png";
	}

	/**
	 * {@inheritDoc}
	 */
	public Layer getLayer() {
		return Layer.OBSTACLE;
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String toString() {
		return "puddle";
	}
}