package main;

import main.Visualizer.Layer;
/**
 * Csigák által hagyott nyálkákat reprezentáló osztály
 *
 */
public class Slime extends Scent {
	/** Kirajzoláskor ez határozza meg, pontosan melyik képet használja */
	int type;
	
	/** Konstruktor */
	public Slime(HexCell location, int remaining) {
		super(location, 0, remaining);
		int rnd = (int) Math.floor(Math.random() * 3);
		type = rnd;
		Logger.entering(this, new Object[] { location });
		Logger.exiting(this, this);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public void accept(IInterActor interactor) {
		Logger.entering(this, new Object[] { interactor });
		interactor.interactWith(this);
		Logger.exiting(this);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String draw() {
		return "img/slime"+type+".png";
	}
	
	/**
	 * {@inheritDoc}
	 */
	public Layer getLayer() {
		return Layer.OBSTACLE;
	}

	/**
	 * {@inheritDoc} Nem tud terjedni.
	 * 
	 */
	public void tick() {
		Logger.entering(this, null);
		if (remaining == 0) {
			dispose();
		}
		remaining--;
		Logger.exiting(this, null);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public String toString() {
		return "slime" + remaining;
	}
}