package main;

/**
 * A különböző spray-ket reprezentáló absztakt ősosztály
 * 
 */
public abstract class Spray {

	/** Maradék fújások száma */
	protected int remaining;
	/** A spray mérete */
	public static int spraySize = 4;
	/** A kezdetben lehetséges fújások száma */
	public static int defaultSprayCount = 10;

	/**
	 * Konstruktor
	 */
	public Spray() {
		Logger.entering(this, null);
		remaining = defaultSprayCount;
		Logger.exiting(this);
	}

	/** Igazzal tér vissza, ha még használható további fújásokra. */
	public boolean canSpray() {
		Logger.entering(this, null);
		boolean ret = remaining > 0;
		Logger.exiting(this, ret);
		return ret;
	}

	/**
	 * A paraméterként kapott mezőre ráfúj (spray-enként eltérő lehet a hatása)
	 * 
	 * @param location
	 *            A fújás helye
	 */
	public abstract void doSpraying(HexCell location);

	/**
	 * Kirajzoláskor visszadja a fájl nevét
	 */
	public abstract String draw();

}
